Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.processtemplates
Class QueryProcessInstances2

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.processtemplates.QueryProcessInstances2

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<QueryProcessInstancesResult2>, net.customware.gwt.dispatch.shared.Action<QueryProcessInstancesResult2>

    public class QueryProcessInstances2

extends java.lang.Object
implements OSAction<QueryProcessInstancesResult2>

List process instances that match certain criteria. This V2 interface provides the ability to retrieve Custom attributes. Dates are also returned in Date rather than String format.

©2013 TIBCO Software Inc.

Since:
  2.2.0

Constructor Summary
`QueryProcessInstances2(TemplateAttributes templateAttributes, java.lang.String query, int pageSize)` Constructor for QueryProcessInstances2.

Method Summary
`int` | `getPageSize()` Gets the page size value.
`java.lang.String` | `getQuery()` Gets query.
`TemplateAttributes` | `getTemplateAttributes()` Gets the TemplateAttributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryProcessInstances2

    public QueryProcessInstances2(TemplateAttributes templateAttributes,
                                  java.lang.String query,
                                  int pageSize)

  Constructor for QueryProcessInstances2.

  Parameters:
    `templateAttributes` -
    `query` -
    `pageSize` -

Method Detail

### getTemplateAttributes

    public TemplateAttributes getTemplateAttributes()

  Gets the TemplateAttributes.

  Returns:

### getQuery

    public java.lang.String getQuery()

  Gets query.

  Returns:

### getPageSize

    public int getPageSize()

  Gets the page size value.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.